# Uses of Interface
org.osgi.framework.launch.Framework

Packages that use Framework
Package
Description
org.apache.felix.framework
org.apache.felix.framework.util
org.osgi.framework.launch
Framework Launch Package Version 1.2.

## Uses of Framework in org.apache.felix.framework

Classes in org.apache.felix.framework that implement Framework
Modifier and Type
Class
Description
`class`
`Felix`
Methods in org.apache.felix.framework that return Framework
Modifier and Type
Method
Description
`Framework`
FrameworkFactory.`newFramework(Map configuration)`

## Uses of Framework in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type Framework
Modifier and Type
Method
Description
`void`
EventDispatcher.`fireBundleEvent(BundleEvent event, Framework felix)`
`void`
EventDispatcher.`fireServiceEvent(ServiceEvent event, Dictionary oldProps, Framework felix)`

## Uses of Framework in org.osgi.framework.launch

Methods in org.osgi.framework.launch that return Framework
Modifier and Type
Method
Description
`Framework`
FrameworkFactory.`newFramework(Map<String,String> configuration)`
Create a new `Framework` instance.